Search by Hashtag

Search YouTube and get matching videos, channels, and playlists

1 creditper request
GET
/v1/youtube/search/hashtag

🤖 Why Code When AI Can Do It For You?

Stop writing code like it's 1970! Let AI do the heavy lifting - click the sparkles to copy a perfectly formatted prompt for ChatGPT, Claude, or your favorite AI assistant.

curl "https://api.scrapecreators.com/v1/youtube/search/hashtag" \
  -H "x-api-key: "
{
  "videos": [
    {
      "type": "video",
      "id": "jXMISgQq9MM",
      "url": "https://www.youtube.com/watch?v=jXMISgQq9MM",
      "title": "Epic fails 🤣🤣🤣 #shorts #funny #fails",
      "description": "",
      "thumbnail": "https://i.ytimg.com/vi/jXMISgQq9MM/hqdefault.jpg?sqp=-oaymwFBCNACELwBSFryq4qpAzMIARUAAIhCGADYAQHiAQoIGBACGAY4AUAB8AEB-AG2CIACgA-KAgwIABABGGUgXyhVMA8=&rs=AOn4CLC1HXfxzLayoVBdicS5DIUQh9zGcQ",
      "channel": {
        "id": "UCvUzWu1Whyw1FWuLl9GOo_g",
        "title": "ZZang Funny",
        "thumbnail": "https://yt3.ggpht.com/rcZKcfewHTzkauGknat3NeC53rGBofYDbL8AjFkwvsk2fXzM1clht7OTn9-1IIPnmbeZkrNGdxI=s68-c-k-c0x00ffffff-no-rj"
      },
      "viewCountText": "22,668,056 views",
      "viewCountInt": 22668056,
      "publishedTimeText": "4 weeks ago",
      "publishedTime": "2025-01-04T23:12:42.919Z",
      "lengthText": "1:00",
      "lengthSeconds": 60,
      "badges": []
    }
  ],
  "continuationToken": "4qmFsgLtBRIJRkVoYX...."
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

hashtag
string
required

Hashtag to search for

Example:
funny
continuationToken
string

Continuation token to get more videos. Get 'continuationToken' from previous response.

Example:
4qmFsgKrCBIYVUNkRkpXVWE0M3NtUm00SXBIQnB
type
string

Search for all types of content or only shorts

Example:
all
Available options:
all,
shorts